--[[
	This application is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The applications is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the applications.  If not, see <http://www.gnu.org/licenses/>.
--]]

if not Pure then Pure = {} end

Pure.DefaultSettings 	=
{
	profile = {
		["debug"]									= false,
		["version"]									= 000000,
		
		["friendly-actionpoints-status-color"]		= {255, 255, 0},
		["friendly-anchor-point"]					= "bottomleft",
	    ["friendly-anchor-relpoint"]				= "topleft",
	    ["friendly-anchor-relwin"]					= "PureTargetUnitFrameHostile",
	    ["friendly-anchor-x"]                    	= 0,
	    ["friendly-anchor-y"]                    	= 60,
	    ["friendly-anchor-scale"]                	= 1.0,
	    ["friendly-anchor-dx"]                   	= 240,
	    ["friendly-anchor-dy"]                   	= 52,
		["friendly-arch-color"]						= true,
		["friendly-arch-color-hitpoints"]			= false,
		["friendly-classname-show"]					= true,
		["friendly-dispel-alpha"]					= .4,
		["friendly-dispel-color"]					= {255, 0,  0 },
		["friendly-dispel-show"]					= true,
		["friendly-effects-alpha"]					= 1.0,
		["friendly-effects-anchor"]					= "top",						-- "top", "bottom", "left", "right"
		["friendly-effects-mythicborder"]			= false,
		["friendly-effects-cols"]					= 8,
		["friendly-effects-col-offset"]				= 2,
		["friendly-effects-dx"]						= 28,
		["friendly-effects-dy"]						= 28,
		["friendly-effects-font-alpha"]				= 1.0,
		["friendly-effects-rows"]					= 2,
		["friendly-effects-row-offset"]				= 0,
		["friendly-effects-selfcastonly"]			= false,
		["friendly-effects-show"]					= true,
		["friendly-effects-showlabels"]				= true,
		["friendly-frame-alpha"]					= 1.0,
		["friendly-frame-font-alpha"]				= 1.0,
		["friendly-frame-handleinput"]				= true,
		["friendly-frame-show"]						= true,
		["friendly-frame-template"]					= L"Pure - Default",
		["friendly-frame-showinsiege"]				= false,
		["friendly-hitpoints-status-color"]			= {85, 188, 70},
		
		["friendly-rvr-flag-color"]					= {242, 101, 34},
		
		["friendlyhud-anchor-point"]				= "top",
	    ["friendlyhud-anchor-relpoint"]				= "top",
	    ["friendlyhud-anchor-relwin"]				= "Root",
	    ["friendlyhud-anchor-x"]                    = 0,
	    ["friendlyhud-anchor-y"]                    = 0,
		["friendlyhud-anchor-scale"]                = 1.0,
	    ["friendlyhud-anchor-dx"]                   = 280,
	    ["friendlyhud-anchor-dy"]                   = 55,
		["friendlyhud-arch-color"]					= true,
		["friendlyhud-arch-color-hitpoints"]		= false,
		["friendlyhud-classname-show"]				= true,
		["friendlyhud-dispel-alpha"]				= .4,
		["friendlyhud-dispel-color"]				= {255, 0,  0 },
		["friendlyhud-dispel-show"]					= true,
		["friendlyhud-frame-alpha"]					= .7,
		["friendlyhud-frame-font-alpha"]			= 1.0,
		["friendlyhud-frame-show"]					= true,
		["friendlyhud-frame-template"]				= L"Pure - Default",
		["friendlyhud-hitpoints-status-color"]		= {85, 188, 70},
		["friendlyhud-rvr-flag-color"]				= {242, 101, 34},
		["friendlyhud-show-self"]					= false,
		["friendlyhud-window-anchor"]				= "top",						-- "top", "bottom", "left", "right"
		["friendlyhud-window-dx"]					= 0,
		["friendlyhud-window-dy"]					= 75,
		
		["general-actionpoints-texture"]			= "PureBar",
		["general-enable-addon"]					= true,
		["general-hitpoints-texture"]				= "PureBar",
		["general-use-squared-archtype-color"]		= true,
		
		["group-actionpoints-status-color"]			= {255, 255, 0},
		["group-anchor-point"]						= "topleft",
	    ["group-anchor-relpoint"]					= "bottomleft",
	    ["group-anchor-relwin"]						= "PurePlayerUnitFrame",
	    ["group-anchor-x"]                    		= 0,
	    ["group-anchor-y"]                    		= 125,
	    ["group-anchor-scale"]                		= 1.0,
	    ["group-anchor-dx"]                   		= 240,
	    ["group-anchor-dy"]                   		= 52,
	    ["group-arch-color"]						= true,
	    ["group-arch-color-hitpoints"]				= false,
		["group-classname-show"]					= true,
		["group-dispel-alpha"]						= .4,
		["group-dispel-color"]						= {255, 0,  0 },
		["group-dispel-show"]						= true,
		["group-effects-alpha"]						= 1.0,
		["group-effects-anchor"]					= "right",						-- "left", "right"
		["group-effects-cols"]						= 8,
		["group-effects-col-offset"]				= 2,
		["group-effects-mythicborder"]				= false,
		["group-effects-dx"]						= 28,
		["group-effects-dy"]						= 28,
		["group-effects-font-alpha"]				= 1.0,
		["group-effects-rows"]						= 2,
		["group-effects-row-offset"]				= 0,
		["group-effects-selfcastonly"]				= false,
		["group-effects-show"]						= true,
		["group-effects-showlabels"]				= true,
		["group-frame-alpha"]						= 1.0,
		["group-frame-alpha-outofrange"]			= 0.5,
		["group-frame-font-alpha"]					= 1.0,
		["group-frame-handleinput"]					= true,
		["group-frame-show"]						= true,
		["group-frame-showinscenario"]				= true,
		["group-frame-template"]					= L"Pure - Default",
		["group-frame-vertical-offset"]				= 0,
		["group-frame-horizontal-offset"]			= 0,
		["group-frame-showinsiege"]					= false,
		["group-fill-direction"]					= "down",						-- "up", "down", "left", "right"
		["group-hitpoints-status-color"]			= {85, 188, 70},
		["group-leader-indicator"]					= L"<icon43>",
		["group-morale-color"]						= {59, 160, 231},
		["group-player-show"]						= true,
		["group-rvr-flag-color"]					= {242, 101, 34},
		["group-target-highlight-alpha"]			= .6,
		["group-target-highlight-color"]			= {0, 114, 188},
		["group-target-highlight-show"]				= true,
		
		["grouppet-anchor-point"]					= "topleft",
	    ["grouppet-anchor-relpoint"]				= "bottomleft",
	    ["grouppet-anchor-relwin"]					= "PurePlayerUnitFrame",
	    ["grouppet-anchor-x"]                    	= 0,
	    ["grouppet-anchor-y"]                    	= 400,
	    ["grouppet-anchor-scale"]                	= 1.0,
	    ["grouppet-anchor-dx"]                   	= 200,
	    ["grouppet-anchor-dy"]                   	= 31,
	    ["grouppet-fill-direction"]					= "down",						-- "up", "down", "left", "right"
		["grouppet-frame-alpha"]					= 1.0,
		["grouppet-frame-font-alpha"]				= 1.0,
		["grouppet-frame-handleinput"]				= true,
		["grouppet-frame-show"]						= false,
		["grouppet-frame-template"]					= L"Pure - Default",
		["grouppet-frame-horizontal-offset"]		= 0,
		["grouppet-frame-vertical-offset"]			= 0,
		["grouppet-frame-showinscenario"]			= true,
		["grouppet-frame-showinsiege"]				= false,
		["grouppet-hitpoints-status-color"]			= {85, 188, 70},
		
		["hostile-actionpoints-status-color"]		= {255, 255, 0},
		["hostile-anchor-point"]					= "topright",
	    ["hostile-anchor-relpoint"]					= "topleft",
	    ["hostile-anchor-relwin"]					= "PurePlayerUnitFrame",
	    ["hostile-anchor-x"]                    	= 45,
	    ["hostile-anchor-y"]                    	= 0,
	    ["hostile-anchor-scale"]                	= 1.0,
	    ["hostile-anchor-dx"]                   	= 240,
	    ["hostile-anchor-dy"]                   	= 52,
		["hostile-arch-color"]						= true,
		["hostile-arch-color-hitpoints"]			= false,
		["hostile-classname-show"]					= true,
		["hostile-dispel-alpha"]					= .4,	
		["hostile-dispel-color"]					= {255, 0,  0 },
		["hostile-dispel-show"]						= true,
		["hostile-effects-alpha"]					= 1.0,
		["hostile-effects-anchor"]					= "top",						-- "top", "bottom", "left", "right"
		["hostile-effects-mythicborder"]			= false,
		["hostile-effects-cols"]					= 8,
		["hostile-effects-col-offset"]				= 2,
		["hostile-effects-dx"]						= 28,
		["hostile-effects-dy"]						= 28,
		["hostile-effects-font-alpha"]				= 1.0,
		["hostile-effects-rows"]					= 2,
		["hostile-effects-row-offset"]				= 0,
		["hostile-effects-selfcastonly"]			= false,
		["hostile-effects-show"]					= true,
		["hostile-effects-showlabels"]				= true,
		["hostile-frame-alpha"]						= 1.0,
		["hostile-frame-font-alpha"]				= 1.0,
		["hostile-frame-handleinput"]				= true,
		["hostile-frame-show"]						= true,
		["hostile-frame-showinsiege"]				= false,
		["hostile-frame-template"]					= L"Pure - Default",
		["hostile-hitpoints-status-color"]			= {255, 0, 0},
		["hostile-rvr-flag-color"]					= {242, 101, 34},
		["hostile-sigil-show"]						= true,
		
		["hostilehud-anchor-point"]					= "center",
	    ["hostilehud-anchor-relpoint"]				= "center",
	    ["hostilehud-anchor-relwin"]				= "Root",
	    ["hostilehud-anchor-x"]                    	= 0,
	    ["hostilehud-anchor-y"]                    	= 0,
		["hostilehud-anchor-scale"]                	= 1.0,
	    ["hostilehud-anchor-dx"]                   	= 280,
	    ["hostilehud-anchor-dy"]                   	= 55,
		["hostilehud-arch-color"]					= true,
		["hostilehud-arch-color-hitpoints"]			= false,
		["hostilehud-classname-show"]				= true,
		["hostilehud-dispel-alpha"]					= .4,	
		["hostilehud-dispel-color"]					= {255, 0,  0 },
		["hostilehud-dispel-show"]					= true,
		["hostilehud-frame-alpha"]					= .7,
		["hostilehud-frame-font-alpha"]				= 1.0,
		["hostilehud-frame-show"]					= true,
		["hostilehud-frame-template"]				= L"Pure - Default",
		["hostilehud-hitpoints-status-color"]		= {255, 0, 0},
		["hostilehud-rvr-flag-color"]				= {242, 101, 34},
		["hostilehud-sigil-show"]					= true,
		["hostilehud-window-anchor"]				= "top",						-- "top", "bottom", "left", "right"
		["hostilehud-window-dx"]					= 0,
		["hostilehud-window-dy"]					= 75,
		
		["player-arch-color"]						= true,
		["player-arch-color-hitpoints"]				= false,
		["player-actionpoints-status-color"]		= {255, 255, 0},
		["player-actionpoints-format"]				= "curap/maxap",
		["player-anchor-point"]						= "topleft",
	    ["player-anchor-relpoint"]					= "topleft",
	    ["player-anchor-relwin"]					= "Root",
	    ["player-anchor-x"]                    		= 0,
	    ["player-anchor-y"]                    		= 125,
	    ["player-anchor-scale"]                		= 1.0,
	    ["player-dispel-alpha"]						= .4,
		["player-dispel-color"]						= {255, 0,  0 },
		["player-dispel-show"]						= true,
		["player-effects-alpha"]					= 1.0,
		["player-effects-anchor"]					= "top",						-- "top", "bottom", "left", "right"
		["player-effects-mythicborder"]				= false,
		["player-effects-cols"]						= 8,
		["player-effects-col-offset"]				= 2,
		["player-effects-dx"]						= 28,
		["player-effects-dy"]						= 28,
		["player-effects-font-alpha"]				= 1.0,
		["player-effects-rows"]						= 2,
		["player-effects-row-offset"]				= 0,
		["player-effects-selfcastonly"]				= false,
		["player-effects-show"]						= true,
		["player-effects-showlabels"]				= true,
		["player-frame-alpha"]						= 1.0,
		["player-frame-dx"]                   		= 240,
	    ["player-frame-dy"]                   		= 52,
		["player-frame-font-alpha"]					= 1.0,
		["player-frame-handleinput"]				= true,
		["player-frame-show"]						= true,
		["player-frame-showinsiege"]				= false,
		["player-frame-show-outofcombat"]			= true,
		["player-frame-template"]					= L"Pure - Default",
		["player-hitpoints-status-color"]			= {85, 188, 70},
		["player-hitpoints-format"]					= "curhpf/maxhpf",
		["player-morale-color"]						= {59, 160, 231},
		["player-rvr-flag-color"]					= {242, 101, 34},
		["player-target-highlight-alpha"]			= .6,
		["player-target-highlight-color"]			= {0, 114, 188},
		["player-target-highlight-show"]			= true,
		
		["playerpet-anchor-point"]					= "bottomleft",
	    ["playerpet-anchor-relpoint"]				= "topleft",
	    ["playerpet-anchor-relwin"]					= "PurePlayerUnitFrame",
	    ["playerpet-anchor-x"]                    	= 0,
	    ["playerpet-anchor-y"]                    	= 15,
	    ["playerpet-anchor-scale"]                	= 1.0,
	    ["playerpet-anchor-dx"]                   	= 240,
	    ["playerpet-anchor-dy"]                   	= 31,
		["playerpet-auto-heal-on-click"]			= true,
		["playerpet-clear-friendly-on-click"]		= true,
		["playerpet-frame-alpha"]					= 1.0,
		["playerpet-frame-font-alpha"]				= 1.0,
		["playerpet-frame-handleinput"]				= true,
		["playerpet-frame-show"]					= true,
		["playerpet-frame-showinsiege"]				= false,
		["playerpet-frame-template"]				= L"Pure - Default",
		["playerpet-hitpoints-status-color"]		= {85, 188, 70},
		
		["playerpettarget-anchor-point"]			= "bottomleft",
	    ["playerpettarget-anchor-relpoint"]			= "topleft",
		["playerpettarget-anchor-relwin"]			= "PurePlayerPetUnitFrame",
	    ["playerpettarget-anchor-x"]                = 0,
	    ["playerpettarget-anchor-y"]                = 5,
	    ["playerpettarget-anchor-scale"]            = 1.0,
	    ["playerpettarget-anchor-dx"]               = 240,
	    ["playerpettarget-anchor-dy"]               = 31,
		["playerpettarget-arch-color"]				= true,
		["playerpettarget-frame-alpha"]				= 1.0,
		["playerpettarget-frame-handleinput"]		= true,
		["playerpettarget-frame-font-alpha"]		= 1.0,
		["playerpettarget-frame-show"]				= true,
		["playerpettarget-frame-showinsiege"]		= false,
		["playerpettarget-frame-template"]			= L"Pure - Default",
		["playerpettarget-hitpoints-status-color"]	= {255,0,0},
		
		-- Pure will attempt to pull the config from squared,
		-- if it cant it will use this information
		["colortype-ironbreaker"]       = "tank",
	    ["colortype-swordmaster"]       = "tank",
	    ["colortype-chosen"]            = "tank",
	    ["colortype-blackorc"]          = "tank",
	    ["colortype-kotbs"]             = "tank",
	    ["colortype-blackguard"]        = "tank",
	    ["colortype-witchhunter"]       = "mpdps",
	    ["colortype-whitelion"]         = "mpdps",
	    ["colortype-marauder"]          = "mpdps",
	    ["colortype-witchelf"]          = "mpdps",
	    ["colortype-choppa"]            = "mpdps",
        ["colortype-slayer"]            = "mpdps",
	    ["colortype-brightwizard"]      = "rmdps",
	    ["colortype-magus"]             = "rmdps",
	    ["colortype-sorcerer"]          = "rmdps",
	    ["colortype-engineer"]          = "rpdps",
	    ["colortype-shadowwarrior"]     = "rpdps",
	    ["colortype-squigherder"]       = "rpdps",
	    ["colortype-warriorpriest"]     = "msupp",
	    ["colortype-discipleofkhaine"]  = "msupp",
	    ["colortype-archmage"]          = "rsupp",
	    ["colortype-shaman"]            = "rsupp",
	    ["colortype-runepriest"]        = "rsupp",
	    ["colortype-zealot"]            = "rsupp",
	    
	    ["colorgroup-tank"]             = { 150, 100, 50 }, 	-- brown for tanks
	    ["colorgroup-mpdps"]            = { 255, 80, 80 }, 		-- red for melee physical dps
	    ["colorgroup-rpdps"]            = { 255, 180, 0 }, 		-- orange for ranged physical dps
	    ["colorgroup-rmdps"]            = { 255, 255, 60 }, 	-- yellow for ranged magical dps
	    ["colorgroup-msupp"]            = { 180, 120, 255 }, 	-- lavender for melee support
	    ["colorgroup-rsupp"]            = { 100, 150, 255 }, 	-- bluish-purple for ranged support
	    
	    templates						= {},
	    modules							= {},
    }
}